<?php

class MySQL
{
    var $db_host;
    var $db_user;
    var $db_pwd;
    var $db_name;
    var $queries = 0;
    var $connections = 0;
    var $db;

    function set($db_host, $db_user, $db_pwd, $db_name)
    {
        $this->db_host = $db_host;
        $this->db_user = $db_user;
        $this->db_pwd = $db_pwd;
        $this->db_name = $db_name;
    }

    function connect()
    {
        $this->db = new mysqli($this->db_host, $this->db_user, $this->db_pwd, $this->db_name);
        $this->db = new mysqli($this->db_host, $this->db_user, $this->db_pwd, $this->db_name);
        if ($this->db->connect_errno > 0) {
            die('Unable to connect to database [' . $this->db->connect_error . ']');
        }
        $this->connections++;
        // return $db_link for other functions
        //return $db;
    }

    function query($sql)
    {
        $db = $this->db;
        //echo $sql . "<br>";
        if (!isset($this->db)) {
            $this->connect();
        }
        if (!$result = $db->query($sql)) {
            die('There was an error running the query [' . $this->db->error . ']');
        }
        // used for other functions
        $this->queries++;
        return $result;
    }

    function fetch_array($result)
    {
        // create an array called $row
        $row = mysqli_fetch_array($result);
        // return the array $row or false if none found
        return $row;
    }

    function escape($string)
    {
        return mysqli_real_escape_string($this->db, $string);
    }

    function fetch_assoc($result)
    {
        // create an array called $row
        $row = mysqli_fetch_assoc($result);
        // return the array $row or false if none found
        return $row;
    }

//    function fetch_row($result)
//    {
//        // create an array called $row
//        $row = mysql_fetch_row($result);
//        // return the array $row or false if none found
//        return $row;
//    }

    function num_rows($result)
    {
        // determine row count
        $num_rows = mysqli_num_rows($result);
        // return the row count or false if none foune
        return $num_rows;
    }

    function insert_id()
    {
        // connect to the database
        //$link = $this->connect();
        // Get the ID generated from the previous INSERT operation
        $last_id = mysqli_insert_id($this->db);
        // return last ID
        return $last_id;
    }

    function num_fields($result)
    {
        $result = mysqli_num_fields($result);
        return $result;
    }

//    function field_name($result, $index)
//    {
//        // query with the return of $result
//        $result = mysql_field_name($result, $index);
//        return $result;
//    }
//
//    function tablename($result, $index)
//    {
//        // query with the return of $result
//        $result = mysql_tablename($result, $index);
//        return $result;
//    }
//
//    function list_tables($dbase)
//    {
//        $result = mysql_list_tables($dbase);
//        return $result;
//    }
}

?>
